# $Revision: 1.21 $, $Date: 2004/06/03 17:02:52 $

# Conditional build:
%bcond_with	tests	# Perform "make test"

%include	/usr/lib/rpm/macros.perl
%define	pdir	Ima
%define	pnam	DBI
Summary:	Ima::DBI - database connection caching and organization
Summary(pl):	Ima::DBI - organizacja i buforowanie poczenia z baz danych
Name:		perl-Ima-DBI
Version:	0.33
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/authors/id/T/TM/TMTM/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3d72cfbca2aa5e2b631020122858e3ae
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-DBI
%endif
Requires:	perl-DBIx-ContextualFetch
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ima::DBI attempts to organize and facilitate caching and more efficient
use of database connections and statement handles.

%description -l pl
Ima::DBI prbuje zorganizowa i uatwi buforowanie oraz bardziej
wydajne wykorzystanie pocze z baz danych i uchwytw do
komunikatw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_vendorlib}/%{pdir}
%{perl_vendorlib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Ima-DBI.spec,v $
Revision 1.21  2004/06/03 17:02:52  ankry
- informative summary, removed unnecessary BR: perl(Test::More)
  (perl-modules already required by perl-devel)

Revision 1.20  2004/05/12 11:03:55  migo
- Req: perl-DBIx-ContextualFetch - used as a DBI base class
- release 2

Revision 1.19  2004/05/06 18:09:43  ankry
- fixed perl-devel BR

Revision 1.18  2004/04/22 12:52:34  ankry
- license fixes & unification

Revision 1.17  2004/04/09 18:42:45  adamg
- updated to 0.33

Revision 1.16  2004/03/06 19:23:40  adamg
- updated to 0.32

Revision 1.15  2004/02/18 15:51:29  qboosh
- s/no/nb/ in Summary langs

Revision 1.14  2003/10/21 11:40:09  migo
- up to 0.31
- tests bcond

Revision 1.13  2003/09/09 10:24:39  ankry
- spaces -> tab

Revision 1.12  2003/08/19 09:05:33  migo
- up to 0.29

Revision 1.11  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 19:37:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/28 10:08:24  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.5  2003/02/25 00:39:28  radek
- use the __perl macro

Revision 1.4  2003/01/08 09:29:21  mis
- autoupdated to 0.28

Revision 1.3  2002/07/26 00:00:48  radek
- standarized Source URL

Revision 1.2  2002/07/23 11:34:29  qboosh
- pl description

Revision 1.1  2002/07/22 21:29:52  radek
- new, STBR
